For the complete documentation index, see llms.txt. This page is also available as Markdown.

/api/v1/selphid/custom-event/security

Sends a custom external security event to the Api Tracking platform.

post
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Corpo

Data to register an external security event in the Api Tracking platform.

jsonDatastringObrigatório

String containing a key/value dictionary with security information.

Example: { "Security Key1": "Security value 1", "Security Key2": "Security value 2", "Security Key3": "Security value 3", "Security Key4": "Security value 4" }
succeedbooleanObrigatório

Indicates whether the operation was successful or not.

Example: true
eventSourcestringObrigatório

The source of an event in the Api Tracking service.

Example: event.source.externalTool
extraDatastringObrigatório

Tokenized data used to call the Api Tracking service after the operation, base64-encoded.

Example: BQABAQGkJhiCqQjKYUZyDM...
Respostas
200

Result of the event tracking.

application/json

The result of an Api Tracking operation.

trackingStatusnumberOpcional

Status returned by the Api Tracking service, or -1 if tracking is not required.

Example: 201
trackingMessagestringOpcional

Message returned by the Api Tracking service, or empty if tracking is not required.

Example: EvaluatePassiveLivenesWithImageBuffer: Ok
post/api/v1/selphid/custom-event/security
POST /api/v1/selphid/custom-event/security HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 278

{
  "jsonData": "{ \"Security Key1\": \"Security value 1\", \"Security Key2\": \"Security value 2\", \"Security Key3\": \"Security value 3\", \"Security Key4\": \"Security value 4\" }",
  "succeed": true,
  "eventSource": "event.source.externalTool",
  "extraData": "BQABAQGkJhiCqQjKYUZyDM..."
}
{
  "trackingStatus": 201,
  "trackingMessage": "EvaluatePassiveLivenesWithImageBuffer: Ok"
}

Atualizado